// DO_WriteValueDlg.h : header file
//

#if !defined(AFX_DO_WRITEVALUEDLG_H__3B5992C0_C7BC_4A53_9F88_7AB40BC80619__INCLUDED_)
#define AFX_DO_WRITEVALUEDLG_H__3B5992C0_C7BC_4A53_9F88_7AB40BC80619__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CDO_WriteValueDlg dialog

class CDO_WriteValueDlg : public CDialog
{
// Construction
public:
	CDO_WriteValueDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CDO_WriteValueDlg)
	enum { IDD = IDD_DO_WRITEVALUE_DIALOG };
	CEdit	m_txtWrDOValue;
	CEdit	m_txtRdDOValue;
	CButton	m_btnWrite;
	CButton	m_btnRead;
	CEdit	m_txtBID;
	CListBox	m_lbModuleInfo;
	CComboBox	m_cbxDID;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDO_WriteValueDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CDO_WriteValueDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnOpenDevice();
	afx_msg void OnCloseDevice();
	afx_msg void OnBtnReadClick();
	afx_msg void OnBtnWirteClick();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DO_WRITEVALUEDLG_H__3B5992C0_C7BC_4A53_9F88_7AB40BC80619__INCLUDED_)
